#ifndef WEEOBJECT_H
#define WEEOBJECT_H

#include <QByteArray>
#include <QString>
#include <unordered_map>
#include <list>
#include <qweechatrelay_global.h>

class WeeObject {
    enum class Types : int { Chr, Int, Lon, Str, Buf, Ptr, Tim, Htb, Hda, Inf, Inl, Arr };
protected:
  Types type;
  quint32 length;
  QByteArray raw;

public:
  void *get();
  WeeObject(QString,QByteArray);
};

class WeeHash {

};
class WeeHdataPV {
    std::list<QString> pointers;
    std::unordered_map<QString,WeeObject> objects;

};

class WeeHdata {
   QString hpath;

};

#endif // WEEOBJECT_H
